package com.zanxiang.game.data.serve.pojo.dto;


import com.zanxiang.game.data.serve.pojo.enums.TaskStrategyEnum;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;

/**
 * @author ZhangXianyu
 * @time 2024-03-11 11:24:16
 * @Description 发送消息任务参数
 **/
@Data
public class SendMsgTaskDto  implements Serializable {

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 任务调度策略
     * {@link TaskStrategyEnum}
     */
    private Integer taskStrategy;

    /**
     * 定时发送时间
     */
    private LocalDate sendOnTime;

    /**
     * 定时发送开始时间
     */
    private LocalDate everyDayBeginTime;

    /**
     * 定时发送结束时间（默认2099表示永久）
     */
    private LocalDate everyDayEndTime;

    /**
     * 发送文本内容
     */
    private String sendContent;
    /**
     * 任务条件
     */
    private RoleRechargeRankingDTO roleRechargeRankingDTO;




}
